%define	name	libkexiv2
%define	version	0.1.5
## Distribution Specific Release Tag
%define release %mkrel 4
%define	Summary	KDE library based on exiv2 library for manipulating EXIF information embedded in images

%define realname kexiv2

%define	major	1
%define	libname	%mklibname %{realname} %major
%define	libnamedev %mklibname %{realname} -d
%define	oldlibname_dev %mklibname %{realname} 1 -d

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group: 		System/Libraries
Source0:        http://prdownloads.sourceforge.net/kipi/libkexiv2-%{version}.tar.bz2

URL: 		http://www.kipi-plugins.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-common
BuildRequires:	qt3-devel
BuildRequires:	kdebase-devel
BuildRequires:	libexiv-devel >= 0.12

Provides:	%{name} = %{version}-%{release}

%description
Libkexif is a library for manipulating EXIF information embedded in images.
It currently supports viewing of all EXIF information via libexif. It also
supports the modification of a few attributes in a save way that preserves
all other EXIF information in the file. It can currently modify the following
tags:
IFD0/Orientation
EXIF/UserCommend

%package -n     %{libname}
Summary:        Libraries for %{name}
Group:          System/Libraries

%description -n %{libname}

%{libname} contains kexif libraries

%package -n	%{libnamedev}
Summary:	Static libraries and headers for %{name}
Group:		Development/C
Provides:       %{name}-devel = %{version}-%{release}
Requires: 	%{libname} = %version-%release
Conflicts:      %{mklibname kexiv2 0}
Obsoletes:      %{oldlibname_dev}

%description -n %{libnamedev}

%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{name}.

%prep
%setup -q


make -f Makefile.cvs

%build
%if "%{_lib}" != "lib"
kdelibsuffix="--enable-libsuffix=%(A=%{_lib}; echo ${A/lib/})"
%endif
CFLAGS="%optflags" CXXFLAGS="%optflags" \
./configure --disable-rpath \
            --prefix=%_prefix \
            --libdir=%_libdir $kdelibsuffix \
            --mandir=%_mandir \
            --datadir=%_datadir \
            --disable-debug
%make

%install
rm -rf %buildroot
%makeinstall

%find_lang %name

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf %buildroot

%files -n %libname -f %name.lang
%defattr(0644, root, root, 0755)
%{_libdir}/*.so.*

%files -n %libnamedev
%defattr(0644, root, root, 0755)
%{_libdir}/pkgconfig/libkexiv2.pc
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*




%changelog
* Mon Jul 09 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.5-4mdv2008.0
+ Revision: 50490
- Updated for new library policy (developer packages)

* Sun Jun 17 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.5-3mdv2008.0
+ Revision: 40613
- Added conflict with old libkexiv20 and libkexiv21-devel due
  to the libkexiv2.la file (for 2007.1 upgrading)

* Thu May 17 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.1.5-2mdv2008.0
+ Revision: 27605
- Moved la files to the right devel subpackage.

* Wed May 16 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.5-1mdv2008.0
+ Revision: 27202
- New version 0.1.5

* Mon May 07 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.4-1mdv2008.0
+ Revision: 23805
- New Release 0.1.4

* Fri Apr 20 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.2-1mdv2008.0
+ Revision: 16237
- new version 0.1.2


* Sun Mar 04 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.1-2mdv2007.0
+ Revision: 132340
- rebuilt for new libexiv2

* Sat Feb 24 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.1-1mdv2007.1
+ Revision: 125441
- readded kdebase-devel
- removed kdebase-devel dependency
- new version 0.1.1

* Wed Feb 14 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.0-2mdv2007.1
+ Revision: 120793
- wrong libname changed
- added right Povides field

* Mon Feb 12 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.0-1mdv2007.1
+ Revision: 118993
- Import libkexiv2

* Mon Feb 12 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.0mdv2007.1
- built mdk version

